View Issue Details

IDProjectCategoryView StatusLast Update
0016184Buildsyscommunity buildsyspublic2019-06-20 14:46
Reporteramoralej 
PriorityhighSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Summary0016184: I can't rebuild facter-3 in CBS for ppc64le
DescriptionEverytime i try to rebuild facter-3.9.3 in CBS, it fails as in https://cbs.centos.org/koji/taskinfo?taskID=846894 for ppc64le. Note that the build itself finishes successfully but the task is failing with following message:

GenericError: hash changed for external rpm: ruby-irb-2.0.0.648-35.el7_6.noarch@centos7-updates (df80ea72b3e88dfee16610f7689332a9 -> 3c759536a368f89e103c6a2d00819294)

ruby-irb is a noarch package but apparently the one in the repo does not match the expected one.
TagsNo tags attached.

Activities

alphacc

alphacc

2019-06-19 20:17

developer   ~0034692

I'll reassign to hughesjr as I cannot fix it myself

This noarch pkg is different between arches :

$ for i in x86_64 aarch64 ppc64le ppc64 armhfp i386; do curl -s -o $i http://mirror.centos.org/altarch/7/updates/$i/Packages/ruby-irb-2.0.0.648-35.el7_6.noarch.rpm ; md5sum $i; done
181ae9019387ffdd788d84f167aa8661 x86_64
eec713af495aeba67c0210e2bb021384 aarch64
eec713af495aeba67c0210e2bb021384 ppc64le
eec713af495aeba67c0210e2bb021384 ppc64
eec713af495aeba67c0210e2bb021384 armhfp
eec713af495aeba67c0210e2bb021384 i386
amoralej

amoralej

2019-06-20 09:30

reporter   ~0034702

It's working fine now, i've been able to rebuild facter-3 https://cbs.centos.org/koji/buildinfo?buildID=26236
JohnnyHughes

JohnnyHughes

2019-06-20 14:46

administrator   ~0034703

OK .. this is now fixed.

Issue History

Date Modified Username Field Change
2019-06-14 14:25 amoralej New Issue
2019-06-19 20:17 alphacc Note Added: 0034692
2019-06-20 09:30 amoralej Note Added: 0034702
2019-06-20 14:46 JohnnyHughes Status new => resolved
2019-06-20 14:46 JohnnyHughes Resolution open => fixed
2019-06-20 14:46 JohnnyHughes Note Added: 0034703